Package org.eclipse.remote.serial.core

# Class SerialPortConnection.Factory

java.lang.Object
org.eclipse.remote.serial.core.SerialPortConnection.Factory

All Implemented Interfaces:
  `IRemoteConnection.Service.Factory`

Enclosing class:
  SerialPortConnection

public static class SerialPortConnection.Factory extends Object implements IRemoteConnection.Service.Factory

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`<T extends IRemoteConnection.Service>
T`
`getService(IRemoteConnection remoteConnection, Class<T> service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### getService

public <T extends IRemoteConnection.Service> T getService(IRemoteConnection remoteConnection, Class<T> service)

Specified by:
  `getService` in interface `IRemoteConnection.Service.Factory`